org.eclipse.ui.views.navigator

## Class ResourcePatternFilter

- java.lang.Object
- - org.eclipse.jface.viewers.ViewerFilter
  - - org.eclipse.ui.views.navigator.ResourcePatternFilter

Deprecated.
as of 3.5, use the Common Navigator Framework classes instead

    @Deprecated
    public class ResourcePatternFilter
    extends ViewerFilter

Filter used to determine whether resources are to be shown or not.

Since:
  2.0

### Constructor Summary

Constructors
Constructor and Description
`ResourcePatternFilter()` Deprecated. Creates a new resource pattern filter.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`String[]` `getPatterns()` Deprecated. Gets the patterns for the receiver.
`boolean` `select(Viewer viewer, Object parentElement, Object element)` Deprecated. Returns whether the given element makes it through this filter.
`void` `setPatterns(String[] newPatterns)` Deprecated. Sets the patterns to filter out for the receiver.

### Methods inherited from class org.eclipse.jface.viewers.ViewerFilter

`filter, filter, isFilterProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourcePatternFilter

    public ResourcePatternFilter()

Deprecated.
Creates a new resource pattern filter.

### Method Detail

#### getPatterns

    public String[] getPatterns()

Deprecated.
Gets the patterns for the receiver. Returns the cached values if there are any - if not look it up.

#### select

    public boolean select(Viewer viewer,
                          Object parentElement,
                          Object element)

Deprecated.
Description copied from class: `ViewerFilter`
Returns whether the given element makes it through this filter.

Specified by:
  `select` in class `ViewerFilter`
Parameters:
  `viewer` - the viewer
  `parentElement` - the parent element
  `element` - the element
Returns:
  `true` if element is included in the filtered set, and `false` if excluded

#### setPatterns

    public void setPatterns(String[] newPatterns)

Deprecated.
Sets the patterns to filter out for the receiver.